Skip to main content
GET
Get deposit status

Authorizations

Authorization
string
header
required

Bearer JWT issued to your business account during onboarding

Path Parameters

id
string
required

Response

200 - application/json
id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440003"

amount
number
required

Amount in cents

Example:

100000

currency
string
required

Deposit currency

Example:

"ZAR"

reference
string
required
Example:

"EZ9F2T7Q3MHB"

status
enum<string>
required
Available options:
waiting_pop,
pending,
approved,
declined,
expired
Example:

"waiting_pop"

fundEasyCard
boolean
required

True when this deposit was created with Fund my EasyCard intent

Example:

false

proofUrl
string

Public proof of payment download URL when submitted

Example:

"https://b2b-api.easyonramp.com/api/v1/business/treasury/deposits/550e8400-e29b-41d4-a716-446655440003/proof"

bankName
string
Example:

"First National Bank"

accountNumber
string
Example:

"6281234567890"